Bug 1506255 - mm: print warning when ksmd thread runs with CONFIG_PREEMPT_RT enabled
Summary: mm: print warning when ksmd thread runs with CONFIG_PREEMPT_RT enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Clark Williams
QA Contact: Jiri Kastner
URL:
Whiteboard:
Depends On:
Blocks: 1442258
TreeView+ depends on / blocked
 
Reported: 2017-10-25 13:38 UTC by Clark Williams
Modified: 2018-04-10 08:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-04-10 08:57:57 UTC


Attachments (Terms of Use)
rt: warn when KSM thread runs on PREEMPT_RT (913 bytes, patch)
2017-10-30 19:08 UTC, Clark Williams
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0676 None None None 2018-04-10 08:59:40 UTC

Description Clark Williams 2017-10-25 13:38:59 UTC
Description of problem:

Kernel Same-page Merging (CONFIG_KSM) is a mechanism of reducing duplicated pages in the kernel and can reduce memory usage for some cases. Unfortunately the work required to scan physical pages for duplicate contents can result in latency spikes on a real time Linux kernel. 

To warn users of this potential, print a warning when ksmd is activated on a realtime kernel.

Comment 2 Clark Williams 2017-10-30 19:08:34 UTC
Created attachment 1345569 [details]
rt: warn when KSM thread runs on PREEMPT_RT

First cut at patch to warn when ksmd runs on RT

Comment 7 errata-xmlrpc 2018-04-10 08:57:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0676


Note You need to log in before you can comment on or make changes to this bug.